Logstreem
Retrieve a dashboard
GET

Retrieve a dashboard

One dashboard including every element definition.

The response is the same shape create accepts, so you can round-trip a dashboard into version control.

GET/v1/dashboards/{id}

Path parameters

idstringrequired

dsh_….

curl -X GET https://api.logstreem.com/v1/dashboards/{id} \
  -H "Authorization: Bearer $LOGSTREEM_TOKEN"

Responses

200OK
{
  "object": "dashboard",
  "id": "dsh_4a81e0c3f6a5b2d1e0c9",
  "name": "Service health",
  "time_range": "1h",
  "elements": [
    {
      "type": "timeseries",
      "title": "Errors",
      "apl": "['api-gateway-prod']\n| where status >= 500\n| summarize count() by bin_auto(_time), service",
      "width": 12
    }
  ]
}
401Unauthorized
{
  "error": {
    "type": "authentication_error",
    "code": "missing_token",
    "message": "No API token provided.",
    "doc_url": "https://logstreem.com/docs/errors#missing_token",
    "request_id": "req_9f3c2a7b41de08c5b2e6"
  }
}
Try itsandbox